> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payingame.io/llms.txt
> Use this file to discover all available pages before exploring further.

# UserToken

This endpoint will be used when you want to show the wallets a user has. It is also used for the Allowance page. A user token is generated (lasting 5 minutes).
Once created, this token will be used to access the wallets and allowance of this user.


## OpenAPI

````yaml GET /UserToken/{YourAPIKEY}/{ProjectGuid}/{CustomerID}
openapi: 3.1.0
info:
  title: PayInGame Public API
  description: >-
    REST API for accessing games, products, prices, languages, receipts, and
    payments.
  version: 1.0.0
servers:
  - url: https://intern.payingame.io/rest/PayIngame/PublicAPI
security: []
paths:
  /UserToken/{YourAPIKEY}/{ProjectGuid}/{CustomerID}:
    get:
      summary: >-
        Generate temporary User token that needs to be used to let the user go
        to the wallets or allowance page
      parameters:
        - name: YourAPIKEY
          in: path
          required: true
          schema:
            type: string
        - name: ProjectGuid
          in: path
          required: true
          schema:
            type: string
        - name: CustomerID
          in: path
          required: true
          description: Your unique customer id that is identified in your game.
          schema:
            type: string
      responses:
        '200':
          description: Token generation response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isError:
                    type: string
                    example: '0'
                  Error:
                    type: string
                    example: ''
                  Token:
                    type: string
                    example: B1479D7E-B42E-09A6-EDF6-CF0FE02AB5BC
                example:
                  isError: '0'
                  Error: ''
                  Token: B1479D7E-B42E-09A6-EDF6-CF0FE02AB5BC

````